Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have installed LibreOffice 4 using PPA. I was using LibreOffice 3, then I had upgraded to LibreOffice 4, because I was somewhat eager to try a new version.

Now since I found that LibreOffice 4 has some issues, including handling my native language, I want to move back to LibreOffice 3.

This question How to downgrade from LibreOffice 4.0 to 3.6? has already some answers which has some similarity with my above mentioned issue, but it does not solve my problem. This question talks about downgrading from a specific version of LibreOffice, namely from 4.0 to 3.6. The solutions mentioned are not the ones I am looking for. They will work, but the solutions suggest either downloading .deb files for LibreOffice 3.6 or adding PPA for them. Furthermore, some of the answers put out-of-proportion~(applicable for the solution, however) stress on use of synaptic, not general command-line-solution.

I want a general solution without using PPA or downloading .deb files. All I want is to move back from the (higher) PPA version to the (lower) official version.

Anyway, in order to accomplish this, I removed the LibreOffice config directory from my home and then purged LibreOffice from my machine.

sudo apt-get purge libreoffice-*

Then I removed the relevant PPA's using the sudo apt-add-repository --remove command. And then ran sudo apt-get update.

Now, when I try to install LibreOffice using the command

sudo apt-get install libreoffice

I get an avalanche of output about unmet dependencies, something like,

The following packages have unmet dependencies:
 libreoffice : Depends: libreoffice-core (= 1:3.5.7-0ubuntu4) but it is not going to be installed
(snipped)

If I dig the issue further, by using the command,

sudo apt-get install libreoffice-core

I get

The following packages have unmet dependencies:  libreoffice-core :
Depends: libreoffice-common (> 1:3.5.7) but it is not going to be
installed
                Depends: libexttextcat0 (>= 2.2-8) but it is not going to be installed
                Depends: ure (>= 3.5.7~) but it is not going to be installed E: Unable to correct problems, you have held broken packages.

Could you please tell me how do I install LibreOffice 3 in my machine?

I am using Ubuntu 12.04 LTS.


EDIT

Before receiving the accepted answer, I was wondering, at this very moment, if I take a fresh computer, and install Ubuntu 12.04, LibreOffice installation will work without a hitch. Then why I can not install LibreOffice in my 12.04 machine today from simple command line? Then the accepted answer clarified everything. I need to use ppa-purge so that this resets all packages from a PPA to the standard versions released for my distribution. Basically it is like a way to restore my system back to the way it was before my installed packages from a PPA. This article further elaborates the idea.

The above mentioned answer worked perfectly for me. Actually, this was an education for me since it taught me how do downgrade a package that was added via PPA. And I realized that the answer actually teaches us to "move from PPA installation of a package to official lower version package."


share|improve this question
    
Do you want to do it entirely through Terminal? Have you tried synaptic? –  Waldir Leoncio Oct 22 '13 at 10:21
1  
@WaldirLeoncio Yes, I want to do it entirely via command line. Once Synaptic was my favorite tool, but now I feel comfortable with command line. –  Masroor Oct 22 '13 at 11:01
1  
@don.joey The post for which you are calling mine to be a duplicate, none of the answers work for my case. Moreover, if you please notice, all of them talk about either downloading .deb files for LO 3.6 or adding repository for it. Now please tell me, if I take a fresh computer today, and install Ubuntu 12.04, LO installation will work without a hitch. Then why I can not install LO in my 12.04 machine today from simple command line? Hope you will remove the duplicate flag. –  Masroor Oct 22 '13 at 11:08
1  
This is definitely not a dupe as suggested. This question can be generalised as "how do i completely remove packages installed by a ppa"; it has almost nothing to do with libreoffice. The suggested dupe is "how do i remove an official package of libreoffice and get a lower version". –  djeikyb Oct 23 '13 at 3:49
1  
@MMA I tried to refine your title, but if you can do even better, of course, edit away. I was also trying to think how to edit your question to (1) remove meta non-question stuff (2) make it obviously look like a unique question. Your original question actually looks quite good. I think you're just a victim of over zealous closers (a side effect of a deluge of bad quality questions) –  djeikyb Oct 23 '13 at 14:56

2 Answers 2

up vote 8 down vote accepted

You need the ppa-purge utility to downgrade all the packages installed by the PPA and disable the PPA.

Since you have removed the PPA from your sources list, you have to add it back.

Then, run:

sudo apt-get install ppa-purge
sudo ppa-purge ppa:<your_ppa_name_here>

Then you can install LibreOffice 3 from the official repositories.

Regards.

share|improve this answer
    
Tried the method, did not work. The ppa is not in my source list any more, I have removed it via sudo apt-add-repository --remove command, as indicated above. Is not that sufficient? –  Masroor Oct 22 '13 at 11:10
4  
No. Removing the PPA does not downgrade or uninstall its installed packages. Add it back and execute the ppa-purge command. Editing my answer to reflect this. –  errikos Oct 22 '13 at 11:14
    
Your advice worked perfectly. Did not know this side of purging a PPA. This article further elaborated the idea. Looks like you can never stop learning, and this is one of the best things I have learned in recent days. Anyway, LO is right now being installed in my machine from official repositories. –  Masroor Oct 22 '13 at 11:29

Open Terminal To Remove Previous LibreOffice Installation

Copy & Paste Command:

sudo apt-get remove libreoffice*.*

Press Enter

Download LibreOffice From Website

Right Click & Extract LibreOffice Folder

Rename It libreoffice

Cut & Paste To Desktop

Go Into DEBS Folder

Right Click & Select Open In Terminal

Copy & Paste Command:

sudo dpkg -i *.deb

Press Enter

LibreOffice Is Now Installed

share|improve this answer
    
Can not I install LO without downloading the .deb files? If I take a fresh computer today, and install Ubuntu 12.04, LO installation will work without a hitch. Then why I can not install LO in my 12.04 machine today from simple command line? Feeling puzzled. –  Masroor Oct 22 '13 at 11:11

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.